MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Discover
LLM
Delete LLM Credential BindingList LLM Credential BindingsList LLM ProvidersUpsert LLM Credential Binding
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceLLM

List LLM Providers

GET
/v1/llm/providers

List all LLM providers registered in the catalog, alphabetically by name.

Response Body

application/json

curl -X GET "https://example.com/v1/llm/providers"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "type": "string",    "model": "string",    "endpoint": "string",    "description": "string"  }]

List LLM Credential Bindings

Previous Page

Upsert LLM Credential Binding

Next Page